View Issue Details

IDProjectCategoryView StatusLast Update
0015173ScribusGeneralpublic2019-06-04 20:56
Reporterjberg Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.3 
Target VersionFixed in Version1.5.4.svn 
Summary0015173: Switching between documents resets guides
DescriptionI've set my document to have column/row guides with a 4mm gap between them.

When I copy/paste an image frame (with image) from another document into this, the column/row guides gap gets reset to some kind of default in the UI (affecting the snapping), despite not actually being changed in the dialog.

To recover, I have to just open the dialog and click "Apply to All pages".
Steps To Reproduce* create a new document with default settings
* create a new document with default settings, but change the default units to mm
* add a row/column layout with a few mm gap on the second document
* rearrange the windows for the two documents side by side in the main scribus window
* click inside the documents to switch back and forth
TagsNo tags attached.
PatchNo

Activities

jghali

2018-02-26 12:52

administrator   ~0044990

Unable to reproduce this.

jberg

2018-02-26 13:01

reporter   ~0044991

Actually, now that I tried to reproduce it with a completely new document, I realize that the copy/pasting was completely a red herring...

What does seem to be necessary for this to happens is that the the two documents have different default units, and then it happens even by just switching around.

The following reproduces it for me on 1.5.3:

* create a new document with default settings
* create a new document with default settings, but change the default units to mm
* add a row/column layout with a few mm gap on the second document
* rearrange the windows for the two documents side by side in the main scribus window
* click inside the documents to switch back and forth

PeterBenedek

2018-02-26 15:19

developer   ~0044995

Tested Linux Mint 18; r22413

I can reproduce.

output.gif (403,269 bytes)
output.gif (403,269 bytes)

jberg

2018-02-26 15:22

reporter   ~0044997

Yeah, looks the same. I didn't even really have to set up guides on the second document, IIRC

jghali

2018-02-26 18:36

administrator   ~0045003

@jberg, thanks for the additional precisions, this issue is now fixed.

jberg

2018-02-26 18:52

reporter   ~0045004

Awesome, thanks! I'll rebuild once I see it in svn/git.

PeterBenedek

2018-02-27 08:00

developer   ~0045008

Tested r22416

Now it works fine.

jberg

2018-02-27 08:04

reporter   ~0045009

Right, sorry - I also tested this again, confirmed, no more problem there.

I do see a segfault with the latest, but will file a new bug for that of course.

Issue History

Date Modified Username Field Change
2018-02-26 12:31 jberg New Issue
2018-02-26 12:48 jghali Category - => Graphics / Image Frames
2018-02-26 12:52 jghali Note Added: 0044990
2018-02-26 13:01 jberg Note Added: 0044991
2018-02-26 15:19 PeterBenedek File Added: output.gif
2018-02-26 15:19 PeterBenedek Note Added: 0044995
2018-02-26 15:22 jberg Note Added: 0044997
2018-02-26 15:25 PeterBenedek Steps to Reproduce Updated View Revisions
2018-02-26 17:50 jghali Summary copy/pasting images across documents resets guides => Switching between documents resets guides
2018-02-26 18:36 jghali Assigned To => jghali
2018-02-26 18:36 jghali Status new => resolved
2018-02-26 18:36 jghali Resolution open => fixed
2018-02-26 18:36 jghali Fixed in Version => 1.5.4.svn
2018-02-26 18:36 jghali Note Added: 0045003
2018-02-26 18:52 jberg Note Added: 0045004
2018-02-27 08:00 PeterBenedek Note Added: 0045008
2018-02-27 08:04 jberg Note Added: 0045009
2018-03-04 18:01 jghali Category Graphics / Image Frames => General
2019-06-04 20:56 cbradney Status resolved => closed